class pageGameRank {
    constructor() {
        this.init();
    }

    init() {
        this.changetab('.rank-nav', '.rank-item');
    }

    changetab(parent, showbox){
        $(parent).on("click", "li", function () {
            var $this = $(this);
            var index = $this.index();

            $(this).addClass("active").siblings().removeClass("active");
            $(showbox).eq(index).show().siblings(showbox).hide();

            return false;
        })
    }
}

$(() => {
    new pageGameRank()
})